Subject: bug#41106: closed (Re: bug#41106: date --date '20180325 02:58:00' fails)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 May 2020 15:42:02 +0000

Your bug report

#41106: date --date '20180325 02:58:00' fails

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41106: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41106
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41106: date --date '20180325 02:58:00' fails
From: Bernhard Voelker <[email-masked]>
To: Julien Demaria <[email-masked]>, [email-masked]
Date: Wed, 6 May 2020 17:41:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 41106 notabug
thanks

On 2020-05-06 10:04, Julien Demaria wrote:
>> $ date --date '20180325 02:58:00'
>> date: invalid date `20180325 02:58:00'

> Sorry I just found the reason in the FAQ... :-(
> https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#The-date-command-is-not-working-right_002e
> I am in local daylight saving time change case.

Indeed, the debug option shows it:

date --debug --date '20180325 02:58:00'
date: parsed number part: (Y-M-D) 2018-03-25
date: parsed time part: 02:58:00
date: input timezone: system default
date: using specified time as starting value: '02:58:00'
date: error: invalid date/time value:
date:     user provided time: '(Y-M-D) 2018-03-25 02:58:00'
date:        normalized time: '(Y-M-D) 2018-03-25 03:58:00'
date:                                             --
date:      possible reasons:
date:        non-existing due to daylight-saving time;
date:        numeric values overflow;
date:        missing timezone
date: invalid date '20180325 02:58:00'

As such, I'm marking this issue as 'notabug' in our bug tracker.

Have a nice day,
Berny

Subject: RE:date --date '20180325 02:58:00' fails
From: Julien Demaria <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 6 May 2020 08:04:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry I just found the reason in the FAQ... :-(
https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#The-date-command-is-not-working-right_002e
I am in local daylight saving time change case.

Thanks

________________________________________
De : Julien Demaria
Envoyé : mercredi 6 mai 2020 09:59
À : [email-masked]
Objet : date --date '20180325 02:58:00' fails

Hi,

We found this very suspect behavior:

$ date --date '20180325 02:58:00'
date: invalid date `20180325 02:58:00'

but for the previous day it works...:

$ date --date '20180323 02:58:00'
Fri Mar 23 02:58:00 CET 2018

Is it a bug?

Adding -u or setting TZ seems a workaround.

Tested with version 8.28 on Ubuntu 18.04.4 LTS
and also with version 8.13 on Debian GNU/Linux 7

Thanks in advance,
Julien